Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class AdminManagerAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.BaseAppAction
              oracle.ifs.admin.actions.AdminManagerAction

All Implemented Interfaces:
  Action, IfsParameters

    public class AdminManagerAction

extends BaseAppAction

The AdminManagerAction class implements an Action that executes the iFS AdminManager tool.

This Action defines the following key: `parameterfile_dir`. If this key is bound to a value, then the `parameterfile` key will be ignored, and the value of `parameterfile_dir` will be used as the directory with .adm files to execute.

(Unpublished)
Modified:
  lsaenz 12/20/2000 Added option to run .adm files in a directory., lsaenz 07/10/2000 Changed name to AdminManagerAction., lsaenz 03/17/2000 Removed unnecessary parameter setting methods; removed debug output., lsaenz 12/29/1999 Removed debug output of arguments., lsaenz 11/17/1999 Created.

Field Summary
`static java.lang.String` | `PARAMETER_FILE_DIR` Directory with .adm files to execute.

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`AdminManagerAction()` Creates a new AdminManagerAction.
`AdminManagerAction(java.lang.String parameterfile)` Creates a new AdminManagerAction that will execute the given AdminManager script (.adm file).

Method Summary
`protected void` | `execute(java.lang.String[] args)` Executes AdminManager, given arguments.
`void` | `setParameterFileDirectory(java.lang.String dir)` Sets the "parameterfile_dir" parameter used by this action.

Methods inherited from class oracle.ifs.admin.actions.BaseAppAction
`failed, getArgs, perform, removeParameter, setErrorFile, setForSchemaUpgrade, setIncludePath, setParameter, setParameterFile, setPassword, setSchemaPassword, setService, setTraceFile, setUser, stop`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_FILE_DIR

    public static final java.lang.String PARAMETER_FILE_DIR

  Description copied from class: `AdminManagerAction`
  Directory with .adm files to execute. Defined as: "parameterfile_dir".

  See Also:
    Constant Field Values

Constructor Detail

### AdminManagerAction

    public AdminManagerAction()

  Creates a new AdminManagerAction.

  (Unpublished)

### AdminManagerAction

    public AdminManagerAction(java.lang.String parameterfile)

  Creates a new AdminManagerAction that will execute the given AdminManager script (.adm file).

  Parameters:
    `parameterfile` - the AdminManager script to execute.
  (Unpublished)

Method Detail

### setParameterFileDirectory

    public void setParameterFileDirectory(java.lang.String dir)

  Description copied from class: `AdminManagerAction`
  Sets the "parameterfile_dir" parameter used by this action.

  Parameters:
    `dir` - the directory with .adm files that should be executed.

### execute

    protected void execute(java.lang.String[] args)
                    throws IfsException

  Description copied from class: `AdminManagerAction`
  Executes AdminManager, given arguments.

  Specified by:
    `execute` in class `BaseAppAction`
  Parameters:
    `args` - the arguments that should be passed to AdminManager.
  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD